Name:		yum-conf-hc
Version:	1.0
Release:	1%{?dist}
Summary:	yum repo files for the Hardware Cert repo

Group:		System Environment/Libraries
License:	GPL
URL:		http://www.scientificlinux.org/

%define debug_package %{nil}

BuildRequires:	bash sed coreutils
BuildArch:	noarch
Requires:	yum
Requires:	system-release >= 7

%description
Yum repository config files that point to the Scientific Linux build
of the upstream Hardware Test tools.  The upstream reporting packages
have been removed.

These packages may change in ABI/API incompatible ways.

%prep

%install
mkdir -p $RPM_BUILD_ROOT/etc/yum.repos.d/

echo "Building yum conf for HC"

cat > $RPM_BUILD_ROOT/etc/yum.repos.d/sl-hc.repo <<REPO
[sl-hc]
Name=Scientific Linux Hardware Test - \$basearch
baseurl=http://ftp.scientificlinux.org/linux/scientific/7x/external_products/hc/\$basearch/
        http://ftp1.scientificlinux.org/linux/scientific/7x/external_products/hc/\$basearch/
        http://ftp2.scientificlinux.org/linux/scientific/7x/external_products/hc/\$basearch/

enabled=1
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-sl file:///etc/pki/rpm-gpg/RPM-GPG-KEY-sl7

[sl-hc-debuginfo]
Name=Scientific Linux Hardware Test - debuginfo
baseurl=http://ftp.scientificlinux.org/linux/scientific/7x/external_products/hc/\$basearch/debuginfo/
        http://ftp1.scientificlinux.org/linux/scientific/7x/external_products/hc/\$basearch/debuginfo/
        http://ftp2.scientificlinux.org/linux/scientific/7x/external_products/hc/\$basearch/debuginfo/

enabled=0
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-sl file:///etc/pki/rpm-gpg/RPM-GPG-KEY-sl7

[sl-hc-source]
Name=Scientific Linux Hardware Test - source
baseurl=http://ftp.scientificlinux.org/linux/scientific/7x/external_products/hc/SRPMS/
        http://ftp1.scientificlinux.org/linux/scientific/7x/external_products/hc/SRPMS/
        http://ftp2.scientificlinux.org/linux/scientific/7x/external_products/hc/SRPMS/

enabled=0
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-sl file:///etc/pki/rpm-gpg/RPM-GPG-KEY-sl7

REPO

chmod 644 $RPM_BUILD_ROOT/etc/yum.repos.d/*.repo


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%config(noreplace) /etc/yum.repos.d/*


%changelog
* Tue Jun 24 2014 Pat Riehecky <riehecky@fnal.gov> 1.0-1.el7
- Initial build
